<?
if ($infor){
if ($login==$admin || $login==$admin2){
if ($infor=="look"){
if (isset($game["players"]["user.$logy"])) {
$k=explode("|",$game["loc"][$game["players"]["user.$logy"]]["user.$logy"]["items"][$looks]);
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&infor=look&logy=$logy&looks=$looks&id=delete\">[удалить предмет]</a>";
if ($id=="delete"){
unset($game["loc"][$game["players"]["user.$logy"]]["user.$logy"]["items"][$looks]);
msg("Успешно удалено");
}


$grad.="<br/><span style=\"color:red\"><strong>".$k[0]."</strong></span>";
//  еда
if (substr($looks,0,9)=='item.food')
$grad.="<br><strong>Жизнь</strong> +".$k[3]."
<br><strong>Мана</strong> +".$k[4];
// броня
if (substr($looks,0,10)=='item.armor') $grad.="<br>
<strong>Броня +</strong> ".$k[3]."<br/>
<strong>Уровень исп.</strong>: ".$k[4]."";

if (substr($looks,0,12)=='item.weapon.') {
$grad.="<br><strong>Тип</strong>: ";
$grad.="оружие";

if (substr($looks,0,18)=='item.weapon.ranged') $grad.=" стрелковое/метательное";
if (substr($looks,0,17)=='item.weapon.knife') $grad.="<br>подходит для разделки трупов";
$grad.="<br><strong>Урон</strong>: ".$k[3]."-".$k[4]." ~/".$k[7]."<br><strong>Минимум силы</strong>: ".$item[5]."<br/><strong>Скорость</strong>: ".$item[6];
if ($k[8]) $grad.="<br/><strong>Использует</strong>: ".$k[9]."";
$grad.="<br/><strong>Уровень</strong>: ".$k[10]."";		
		}	
}
///////
if (!isset($game["players"]["user.$logy"])) {
$user = implode("",file("users/user.$logy.dat"));
$user = unserialize($user);
$k=explode("|",$user["items"][$looks]);
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&infor=look&logy=$logy&looks=$looks&id=delete\">[удалить предмет]</a>";
if ($id=="delete"){
unset($user["items"][$looks]);
$file = fopen ("users/user.$logy.dat", "w+");
fputs($file,serialize($user));
fclose ($file);
msg("Успешно удалено");
}
$grad.="<br/><span style=\"color:red\"><strong>".$k[0]."</strong></span>";
//  еда
if (substr($looks,0,9)=='item.food')
$grad.="<br><strong>Жизнь</strong> +".$k[3]."
<br><strong>Мана</strong> +".$k[4];
// броня
if (substr($looks,0,10)=='item.armor') $grad.="<br>
<strong>Броня +</strong> ".$k[3]."<br/>
<strong>Уровень исп.</strong>: ".$k[4]."";

if (substr($looks,0,12)=='item.weapon.') {
$grad.="<br><strong>Тип</strong>: ";
$grad.="оружие";

if (substr($looks,0,18)=='item.weapon.ranged') $grad.=" стрелковое/метательное";
if (substr($looks,0,17)=='item.weapon.knife') $grad.="<br>подходит для разделки трупов";
$grad.="<br><strong>Урон</strong>: ".$k[3]."-".$k[4]." ~/".$k[7]."<br><strong>Минимум силы</strong>: ".$item[5]."<br/><strong>Скорость</strong>: ".$item[6];
if ($k[8]) $grad.="<br/><strong>Использует</strong>: ".$k[9]."";
$grad.="<br/><strong>Уровень</strong>: ".$k[10]."";		}
			}
msg($grad,"INFO",0,'none');
}


if ($infor=="look2"){
if (isset($game["players"]["user.$logs"])) {
$k=explode("|",$game["loc"][$game["players"]["user.$logs"]]["user.$logs"]["bank"][$looks]);
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&infor=look&logs=$logs&looks=$looks&id=delete\">[удалить предмет]</a>";
if ($id=="delete"){
unset($game["loc"][$game["players"]["user.$logs"]]["user.$logs"]["items"][$looks]);
msg("Успешно удалено");
}


$grad.="<br/><span style=\"color:red\"><strong>".$k[0]."</strong></span>";
//  еда
if (substr($looks,0,9)=='item.food')
$grad.="<br><strong>Жизнь</strong> +".$k[3]."
<br><strong>Мана</strong> +".$k[4];
// броня
if (substr($looks,0,10)=='item.armor') $grad.="<br>
<strong>Броня +</strong> ".$k[3]."<br/>
<strong>Уровень исп.</strong>: ".$k[4]."";

if (substr($looks,0,12)=='item.weapon.') {
$grad.="<br><strong>Тип</strong>: ";
$grad.="оружие";

if (substr($looks,0,18)=='item.weapon.ranged') $grad.=" стрелковое/метательное";
if (substr($looks,0,17)=='item.weapon.knife') $grad.="<br>подходит для разделки трупов";
$grad.="<br><strong>Урон</strong>: ".$k[3]."-".$k[4]." ~/".$k[7]."<br><strong>Минимум силы</strong>: ".$item[5]."<br/><strong>Скорость</strong>: ".$item[6];
if ($k[8]) $grad.="<br/><strong>Использует</strong>: ".$k[9]."";
$grad.="<br/><strong>Уровень</strong>: ".$k[10]."";		
			}
}
///////
if (!isset($game["players"]["user.$log"])) {
$user = implode("",file("users/user.$logy.dat"));
$user = unserialize($user);
	$k=explode("|",$user["bank"][$looks]);
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&infor=look&logy=$logs&looks=$looks&id=delete\">[удалить предмет]</a>";
if ($id=="delete"){
unset($user["items"][$looks]);
$file = fopen ("users/user.$logy.dat", "w+");
fputs($file,serialize($user));
fclose ($file);
msg("Успешно удалено");
}


$grad.="<br/><span style=\"color:red\"><strong>".$k[0]."</strong></span>";
//  еда
if (substr($looks,0,9)=='item.food')
$grad.="<br><strong>Жизнь</strong> +".$k[3]."
<br><strong>Мана</strong> +".$k[4];
// броня
if (substr($looks,0,10)=='item.armor') $grad.="<br>
<strong>Броня +</strong> ".$k[3]."<br/>
<strong>Уровень исп.</strong>: ".$k[4]."";

if (substr($looks,0,12)=='item.weapon.') {
$grad.="<br><strong>Тип</strong>: ";
$grad.="оружие";

if (substr($looks,0,18)=='item.weapon.ranged') $grad.=" стрелковое/метательное";
if (substr($looks,0,17)=='item.weapon.knife') $grad.="<br>подходит для разделки трупов";
$grad.="<br><strong>Урон</strong>: ".$k[3]."-".$k[4]." ~/".$k[7]."<br><strong>Минимум силы</strong>: ".$item[5]."<br/><strong>Скорость</strong>: ".$item[6];
if ($k[8]) $grad.="<br/><strong>Использует</strong>: ".$k[9]."";
$grad.="<br/><strong>Уровень</strong>: ".$k[10]."";		}
			}
msg($grad,"INFO",0,'none');
}
if ($infor=="user"){
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
if (!$k){
$grad.="<br/><span style=\"color:red\"><strong>Логин игрока</strong>:</span>
<form action=\"$PHP_SELF?sid=$sid&infor=user&k=user\" method=\"post\">
<input name=\"logy\">
<br/><input type=\"submit\" value=\"OK\">";
}else{
// есле он в онлайне
if (isset($game["players"]["user.$logy"])) {
$info=split("\|",$game['loc'][$game['players']["user.$logy"]]["user.$logy"]['info']);
$grad.="<br/><strong>Статус</strong>: 
        <span style=\"color:red\">Онлайн</span>";
$grad.="<br/><strong>Имя</strong>: ".$game["loc"][$game['players']["user.$logy"]]["user.$logy"]['title']."";
$grad.="<br/>==========<br/><span style=\"color:red\"><strong>Удалить?</strong></span>";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&adm=duser&log=$logy\">Удалить</a>";
$grad.="<br/>==========<br/><strong>Логин</strong>: $logy";
$grad.="<br/><strong>Пароль</strong>: $info[0]";
$grad.="<br/><strong>Секрет</strong>: $info[5]";
$grad.="<br/><strong>Е-маил</strong>: $info[1]";
function last($i){
$time = date("d.m.y / H:i:s", $i);
return $time;}
$grad.="<br/><strong>Дата рег.</strong>: ".last($info[6])."";
$grad.="<br/>==========<br/><span style=\"color:red\">- главные навыки -</span>";
$sk=split("\|",$game['loc'][$game['players']["user.$logy"]]["user.$logy"]["skills"]);
$grad.="<br/><strong>Уровень</strong>: $sk[28]";
$grad.="<br/><strong>Опыт</strong>: $sk[4]";

$grad.="<br/>==========<br/><span style=\"color:red\">- параметры -</span>";
$war=split("\|",$game['loc'][$game['players']["user.$logy"]]["user.$logy"]["war"]);
$grad.="<br/><strong>Урон</strong>: ".$war[1]."-".$war[2]."";
$grad.="<br/><strong>Точность</strong>: ".$war[0]."%";
$grad.="<br/><strong>Защита</strong>: ".$war[5]."(".$war[8].").";
$grad.="<br/><strong>Уклон</strong>: ".$war[6]."%";
$grad.="<br/><strong>Парирование</strong>: ".$war[7]."%";
$grad.="<br/><strong>Маг.уклон</strong>: ".$war[9]."%";
$grad.="<br/><strong>Маг.парирование</strong>: ".$war[10]."%";
$grad.="<br/><strong>Маг.щит</strong>: ".$war[11]."%";

$grad.="<br/>==========<br/><span style=\"color:red\">- жизнь/мана -</span>";
$grad.="<br/><strong>Жизнь</strong>: ".$game["loc"][$game["players"]["user.$logy"]]["user.$logy"]["life"]." (".$game["loc"][$game["players"]["user.$logy"]]["user.$logy"]["life_max"].")";
$grad.="<br/><strong>Мана</strong>: ".$game["loc"][$game["players"]["user.$logy"]]["user.$logy"]["mana"]." (".$game["loc"][$game["players"]["user.$logy"]]["user.$logy"]["mana_max"].")";

$grad.="<br/>==========<br/><span style=\"color:red\">- рюкзак -</span>";
if (count($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["items"])==0) $grad.="<br/>- рюкзак пуст -";
$ind=0; $count=0; if(!$rstart) $rstart=0;
foreach(array_keys($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["items"]) as $i) {
if ($ind>=$rstart && $ind<$rstart+3) {
$k=split("\|",$game['loc'][$game['players']["user.$logy"]]["user.$logy"]["items"][$i]);
if ($k[1]>1) $k=$k[0]." (".$k[1].")"; else $k=$k[0];
if ($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["equip"] && array_search($i,$game['loc'][$game['players']["user.$logy"]]["user.$logy"]["equip"])) $k.="[одето]";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&logy=$logy&infor=look&looks=".$i.$m."\">".$k."</a>";

}
$ind++;
}
if ($rstart) {$grad.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&infor=user&k=user&logy=$logy\">^ </a>";}
if ($rtart+3<=count($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["items"])) {if (!$rstart) $grad.="\n<br/>"; $grad.= "<a href=\"$PHP_SELF?sid=$sid&infor=user&rstart=".($rstart+3)."&k=user&logy=$logy\">+ (".(count($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["items"])-$rstart-3).")</a>";}

$grad.="<br/>==========<br/><span style=\"color:red\">- банк -</span>";
if (count($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["bank"])==0)
$grad.="<br/>- банк пуст -"; 
$ind=0; $count=0; if(!$bstart) $bstart=0;
foreach(array_keys($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["bank"]) as $i) {
if ($ind>=$bstart && $ind<$bstart+3) {
$k=split("\|",$game['loc'][$game['players']["user.$logy"]]["user.$logy"]["bank"][$i]);
if ($k[1]>1) $k=$k[0]." (".$k[1].")"; else $k=$k[0];
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&logy=$logy&infor=look2&looks=".$i.$m."\">".$k."</a>";
}
$ind++;
}
if ($bstart) {$grad.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&infor=user&k=user&logy=$logy\">^ </a>";}
if ($btart+3<=count($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["bank"])) {if (!$bstart) $grad.="\n<br/>"; $grad.= "<a href=\"$PHP_SELF?sid=$sid&infor=user&bstart=".($bstart+3)."&k=user&logy=$logy\">+ (".(count($game['loc'][$game['players']["user.$logy"]]["user.$logy"]["bank"])-$bstart-3).")</a>";}


}else{
// есле в оффлайне
$user = implode("",file("users/user.$logy.dat"));
$user = unserialize($user);
$file=@file("users/user.$logy.dat");
if (!$file) msg("Персонаж не найден");
$info=split("\|",$user["info"]);
$grad.="<br/><strong>Статус</strong>: 
        <span style=\"color:red\">Оффлайн</span>";
$grad.="<br/><strong>Имя</strong>: ".$user["title"]."";
$grad.="<br/>==========<br/><span style=\"color:red\"><strong>Удалить?</strong></span>";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&adm=duser&log=$logy\">Удалить</a>";
$grad.="<br/>==========<br/><strong>Логин</strong>: $logy";
$grad.="<br/><strong>Пароль</strong>: $info[0]";
$grad.="<br/><strong>Секрет</strong>: $info[5]";
$grad.="<br/><strong>Е-маил</strong>: $info[1]";
function create($i){
$time = date("d.m.y / H:i:s", $i);
return $time;}
$grad.="<br/><strong>Дата рег.</strong>: ".create($info[6])."";
$grad.="<br/>==========<br/><span style=\"color:red\">- главные навыки -</span>";
$sk=split("\|",$user["skills"]);
$grad.="<br/><strong>Уровень</strong>: $sk[28]";
$grad.="<br/><strong>Опыт</strong>: $sk[4]";

$grad.="<br/>==========<br/><span style=\"color:red\">- параметры -</span>";
$war=split("\|",$user["war"]);
$grad.="<br/><strong>Урон</strong>: ".$war[1]."-".$war[2]."";
$grad.="<br/><strong>Точность</strong>: ".$war[0]."%";
$grad.="<br/><strong>Защита</strong>: ".$war[5]."(".$war[8].").";
$grad.="<br/><strong>Уклон</strong>: ".$war[6]."%";
$grad.="<br/><strong>Парирование</strong>: ".$war[7]."%";
$grad.="<br/><strong>Маг.уклон</strong>: ".$war[9]."%";
$grad.="<br/><strong>Маг.парирование</strong>: ".$war[10]."%";
$grad.="<br/><strong>Маг.щит</strong>: ".$war[11]."%";

$grad.="<br/>==========<br/><span style=\"color:red\">- жизнь/мана -</span>";
$grad.="<br/><strong>Жизнь</strong>: ".$user["life"]." (".$user["life_max"].")";
$grad.="<br/><strong>Мана</strong>: ".$user["mana"]." (".$user["mana_max"].")";

$grad.="<br/>==========<br/><span style=\"color:red\">- рюкзак -</span>";
if (count($user["items"])==0) $grad.="<br/>- рюкзак пуст -";
$ind=0; $count=0; if(!$rstart) $rstart=0;
foreach(array_keys($user["items"]) as $i) {
if ($ind>=$rstart && $ind<$rstart+3) {
$k=split("\|",$user["items"][$i]);
if ($k[1]>1) $k=$k[0]." (".$k[1].")"; else $k=$k[0];
if ($user["equip"] && array_search($i,$user["equip"])) $k.="[одето]";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&logy=$logy&infor=look&looks=".$i.$m."\">".$k."</a>";

}
$ind++;
}
if ($rstart) {$grad.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&infor=user&k=user&logy=$logy\">^ </a>";}
if ($start+3<=count($user["items"])) {if (!$rstart) $grad.="\n<br/>"; $grad.= "<a href=\"$PHP_SELF?sid=$sid&infor=user&rstart=".($rstart+3)."&k=user&logy=$logy\">+ (".(count($user["items"])-$rstart-3).")</a>";}

$grad.="<br/>==========<br/><span style=\"color:red\">- банк -</span>";
if (count($user["bank"])==0)
$grad.="<br/>- банк пуст -"; 
$ind=0; $count=0; if(!$bstart) $bstart=0;
foreach(array_keys($user["bank"]) as $i) {
if ($ind>=$bstart && $ind<$bstart+3) {
$k=split("\|",$user["bank"][$i]);
if ($k[1]>1) $k=$k[0]." (".$k[1].")"; else $k=$k[0];
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&logy=$logy&infor=look2&looks=".$i.$m."\">".$k."</a>";
}
$ind++;
}
if ($bstart) {$grad.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&infor=user&k=user&logy=$logy\">^ </a>";}
if ($btart+3<=count($user["bank"])) {if (!$bstart) $grad.="\n<br/>"; $grad.= "<a href=\"$PHP_SELF?sid=$sid&infor=user&bstart=".($bstart+3)."&k=user&logy=$logy\">+ (".(count($user["bank"])-$bstart-3).")</a>";}

}
}
msg($grad,"INFO",0,'none');
}
}
}
?>

